Subject: RE: Long Command lines in makefile
From: "Mark Paulus" <[email-masked]>
To: "Andrea Minosu" <[email-masked]>, "Andrew Markebo" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 03 Apr 2001 12:27:33 -0600

could you do something with xargs:
echo $(TARGET_LIB) $(DEPEND_FILES) $(OBJS) .depend | xargs rm -f 

On Tue, 3 Apr 2001 17:43:39 +0200, Andrea Minosu wrote:

>Dear Andrew,
>Thank you very much for your help.
>
>Yes I'm using gnumake that comes with cygwin.
>
>On my co-workers machines the command works (it is the "make clean"
>command), which calls the "rm" command as you can see in the below extract.
>The "rm ...." line expands very long (I can see it just for a second before
>Windows switches to the usual crash blue screen).
>I've tryed to do something with a "for loop" so to call "rm" with a file at
>a time, but it crashes in the "for $(OBJS)..." expansion.
>
>Here it is an extract from makefile I'm using:
>
>OBJS =  ./src/tast0mai.o \
>        ./src/tats0mai.o \
>        ./user/grcn0lib.o \
>        ./user/grfb1lib.o \
>...
>...
>clean:
>        rm -f $(TARGET_LIB) $(DEPEND_FILES) $(OBJS) .depend
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On Behalf Of
>Andrew Markebo
>Sent: Tuesday, April 03, 2001 4:44 PM
>To: Andrea Minosu
>Cc: [email-masked]
>Subject: Re: Long Command lines in makefile
>
>
>Sounds like a problem with the make-program you use, do you use
>gnumake that comes with cygwin or??
>
>Tried to split the line, can you give us an example??
>
>What does happen on your co-workers machines when you run this??
>
>        /Andy
>
>
>/ "Andrea Minosu" <[email-masked]> wrote:
>| [...]
>| I have a strange problem on my machine (Windows 98): when the command line
>| of makefile is very long (because it uses something like $(OBJ)), then my
>PC
>| crashes completely (not only the cygwin windows).
>
>
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple